Subject: bug#43004: 28.0.50; Test failures due to symlinked Emacs sources

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 16 Oct 2020 10:34:30 +0200

Stephen Berman <[email-masked]> writes:

> However, concerning the latter, it seems that the tests expect
> help-fns-function-description-header to return the quoted basename of
> the file, while in my environment it returns the absolute filename.
> Adjusting the regexp used in the tests fixes this issue (see the first
> patch below) and then all tests pass regardless of where I start the
> batch run.
>
> Concerning cl-generic-tests.el, using file-truename as in the second
> patch below prevents the one failure, also regardless of where I start
> the batch run.

Thanks; I've now applied your patch to the trunk.

> The same reduction but not full elimination is achieved by removing
> the call to file-truename in the value of the defvar emacs-test-dir in
> elisp-mode-tests.el.  So far I haven't figured out how to prevent
> these five failures.

Have you made any progress on these remaining failures, by any chance?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no